// Javascript 
const max_rules_number = 16;

const primary_condition_pos_left = '702px';
const primary_condition_pos_top = '192px';

const sub_condition_pos_left = '972px';
const sub_condition_pos_top = '192px';

const action_pos_left = '1242px';
const action_pos_top = '192px';

const rule_editor_placeholder_pos_left = '670px';
const rule_editor_placeholder_pos_top = '60px';

const wlan_frame = [
    {
        name: "N/S",
        color: "#666666",
        start_byte_pos : 0,
        stop_byte_pos : 1
    },
    {
        name: "Frame Control",
        color: "#F6B26B",
        start_byte_pos : 2,
        stop_byte_pos : 3
    },
    {
        name: "Duration",
        color: "#4A86E8",
        start_byte_pos : 4,
        stop_byte_pos : 5
    },
    {
        name: "Receiver Address",
        color: "#D1543A",
        start_byte_pos : 6,
        stop_byte_pos : 11
    },
    {
        name: "Transmitter Address",
        color: "#FF4DFF",
        start_byte_pos : 12,
        stop_byte_pos : 17
    },
    {
        name: "Destination Address",
        color: "#38761D",
        start_byte_pos : 18,
        stop_byte_pos : 23
    },
    {
        name: "Sequence Control",
        color: "#84501B",
        start_byte_pos : 24,
        stop_byte_pos : 25
    },
    {
        name: "Data",
        color: "#9900FF",
        start_byte_pos : 26,
        stop_byte_pos : 1500
    }
];
